Bug 10346 - iBCS bug that produces "SIG: sigpending lied" in Foxpro 2.6 for Unix
Summary: iBCS bug that produces "SIG: sigpending lied" in Foxpro 2.6 for Unix
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Alan Cox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-25 21:24 UTC by Dennis Allen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-16 03:02:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tested and working patch for kernel-2.2.16-3.src.rpm (355 bytes, patch)
2000-08-15 21:25 UTC, Jan Carlson
no flags Details | Diff

Description Dennis Allen 2000-03-25 21:24:52 UTC
To get SCO Foxpro 2.6 for Unix to work on a RedHat 6.0 Linux, you must
load the iBCS module [insmod iBCS.o].

When FPU produces a bell, you will see several "SIG: sigpending lied"
messages.  This message is from a bug in the iBCS component of the Linux
kernel. Well, Piotr Kasprzyk actually found this bug and showed me how to
fix it.

vi /usr/src/linux/ibcs/iBCSemul/signal.c

In the file signal.c find function deactivate_signal(), around line 95.
You'll need to add the line:

          recalc_sigpending(task);

This function should then look like:

     void
     deactivate_signal(struct task_struct *task, int signum)
     {
             spin_lock_irq(&task->sigmask_lock);
             sigdelset(&task->signal, signum);
          recalc_sigpending(task);
             spin_unlock_irq(&task->sigmask_lock);
     }

Comment 1 Jan Carlson 2000-08-15 21:25:03 UTC
Created attachment 2523 [details]
Tested and working patch for kernel-2.2.16-3.src.rpm

Comment 2 Alan Cox 2002-12-16 03:02:11 UTC
xabi replaced ibcs2



Note You need to log in before you can comment on or make changes to this bug.